.content-block-integrations {
  position: relative;
  overflow: hidden;
}

.content-block-integrations.content-block-white {
  background: #fff;
}
.content-block-integrations.content-block-blue {
  background: linear-gradient(281deg, #f8fbff 1%, #e3f0ff 138%);
}
.content-block-integrations:before {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  top: -10px;
  box-shadow: 0px 6px 6px rgba(0, 0, 0, 0.02);
  height: 10px;
  z-index: 99;
}

.content-block-integrations:after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  bottom: -10px;
  box-shadow: 0px -4px 6px rgba(0, 0, 0, 0.02);
  height: 10px;
  z-index: 99;
}

.integrations-block {
  display: flex;
  flex-direction: row;
  height: 476px;
  align-items: center;
  position: relative;
}

.content-block-integrations-list {
  display: grid;
  grid-template-columns: repeat(3, 194px);
  grid-template-rows: repeat(auto-fill, 122px);
  grid-gap: 14px;
  justify-items: start;
  max-height: 100%;
  animation-fill-mode: backwards;
  animation: auto-scroll 25s linear infinite;
}

.content-block-integrations-list-item {
  width: 194px;
  height: 122px;

  border-radius: 12px;
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: center;
}

.content-block-integrations-list-item-image {
  padding: 0 8px;
  width: 120px;
  margin: auto;
}
.content-block-integrations-list-item-image img {
  display: flex;
  align-self: center;
  justify-self: center;
}

.content-block-integrations-list
  .content-block-integrations-list-item:nth-child(even)
  img {
  transform: rotate(45deg);
}

.content-block-integrations-text {
  padding-left: 55px;
}

.content-block-integrations-title {
  line-height: 60px;
  letter-spacing: -0.01em;
  padding-bottom: 20px;
}
.content-block-integrations-subtitle {
  max-width: 100%;
  line-height: 28px;
  padding-bottom: 41px;
}
.content-block-integrations-button {
  width: 260px;
  height: 52px;
  border-radius: 6px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 16px;
}
.content-block-integrations .link-new {
  color: var(--main);
  margin: 0;
}
.content-block-integrations .link-new .icon-img {
  position: relative;
  transition: 0.15s;
  right: 0;
}
.content-block-integrations .link-new:hover .icon-img {
  right: -6px;
}

@keyframes auto-scroll {
  from {
    transform: translate3d(0, 0, 0);
  }
  to {
    transform: translate3d(0, -1087px, 0);
  }
}

@media screen and (max-width: 1350px) {
  .integrations-block {
    height: 364px;
  }
  .content-block-integrations-list {
    grid-template-columns: repeat(3, 147px);
    grid-template-rows: repeat(auto-fill, 92px);
    grid-gap: 10px;
    animation: auto-scroll 23s linear infinite;
  }
  .content-block-integrations-list-item {
    width: 147px;
    height: 92px;
    border-radius: 9px;
  }
  .content-block-integrations-list-item-image {
    padding: 0 8px;
    width: 92px;
    margin: auto;
  }

  .content-block-integrations-title {
    line-height: 44px;
  }

  .content-block-integrations-text {
    padding-left: 32px;
  }

  .content-block-integrations-button {
    width: 220px;
    height: 44px;
  }

  .content-block-integrations-subtitle {
    max-width: 80%;
    padding-bottom: 18px;
    line-height: 24px;
  }

  @keyframes auto-scroll {
    from {
      transform: translate3d(0, 0, 0);
    }
    to {
      transform: translate3d(0, -816px, 0);
    }
  }
}

@media screen and (max-width: 980px) {
  .integrations-block {
    height: 434px;
  }
  .content-block-integrations-subtitle {
    max-width: 100%;
  }
  .content-block-integrations-list {
    grid-template-columns: repeat(2, 170px);
    grid-template-rows: repeat(auto-fill, 107px);
    grid-gap: 12px;
    animation: auto-scroll 27s linear infinite;
  }

  .content-block-integrations-list-item {
    width: 170px;
    height: 107px;
    border-radius: 16px;
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
  }

  .content-block-integrations-list-item-image {
    width: 104px;
  }

  .content-block-integrations-text {
    padding-left: 20px;
  }

  .content-block-integrations-title {
    padding-bottom: 10px;
  }

  @keyframes auto-scroll {
    from {
      transform: translate3d(0, 0, 0);
    }
    to {
      transform: translate3d(0, -1427px, 0);
    }
  }
}

@media screen and (max-width: 767px) {
  .content-block-integrations.content-block-blue {
    background: linear-gradient(278deg, #f8fbff 1%, #ebf4ff 100%);
  }
  .integrations-block {
    height: auto;
    align-items: flex-start;
    flex-direction: column-reverse;
    padding-top: 32px !important;
    padding-bottom: 24px !important;
    max-width: 100%;
  }

  .content-block-integrations-list {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    width: 1500px;
    height: 360px;
    grid-template-columns: unset;
    grid-template-rows: unset;
    grid-gap: unset;
    justify-items: unset;
    margin: 24px 0 0 0;
    animation: auto-x-scroll 25s linear infinite;
  }

  .content-block-integrations-list-item {
    width: 171px !important;
    height: 107px !important;
    margin: 0 12px 12px 0;
  }

  .content-block-integrations-list-item-image img {
    margin: 0 auto;
  }

  .content-block-integrations-text {
    text-align: left;
    max-width: 100%;
    padding: 0;
  }

  .content-block-integrations-title {
    line-height: 32px;
    padding-bottom: 14px;
  }

  .content-block-integrations-subtitle {
    margin: 0;
    padding: 0 0 16px 0;
  }

  .content-block-integrations-list-item-name {
    display: none;
  }

  .content-block-integrations-button,
  .content-block-integrations-button-subtext {
    display: none;
  }
  .content-block-integrations:before {
    box-shadow: 0px 6px 6px rgba(0, 0, 0, 0.03);
  }

  .content-block-integrations:after {
    box-shadow: 0px -4px 6px rgba(58, 59, 61, 0.03);
  }

  @keyframes auto-x-scroll {
    from {
      transform: translate3d(0, 0, 0);
    }
    to {
      transform: translate3d(-1464px, 0, 0);
    }
  }
}

@media screen and (max-width: 413px) {
  .content-block-integrations-subtitle {
    padding-bottom: 22px;
  }
}
